#!/usr/bin/python

# GNU Solfege - ear training for GNOME
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2005  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# This script is used to launch Solfege when running
# it from the source dir without installing.

import sys
import os
import src
import src.cfg

import src.gethomedir
if not os.path.exists(src.gethomedir.get_home_dir()):
    os.mkdir(src.gethomedir.get_home_dir())

if sys.platform == 'win32':
    print "Using as home dir:", src.gethomedir.get_home_dir()

src.cfg.initialise("default.config", None,
                   os.path.join(src.gethomedir.get_home_dir(), ".solfegerc"))

# i18n should be imported very early in program init because it setup
# the _ and _i functions for the whole program.
import src.i18n
src.i18n.setup(".")

import src.mainwin

src.mainwin.start_app(".", ".")
